Bug 1793743 - Default config for Geany calls for xterm as default terminal
Summary: Default config for Geany calls for xterm as default terminal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-22 03:25 UTC by Matthew Crews
Modified: 2020-06-02 03:52 UTC (History)
5 users (show)

Fixed In Version: geany-1.36-3.fc31 geany-1.36-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-02 03:13:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Crews 2020-01-22 03:25:17 UTC
Description of problem:

The default installation of Geany calls for using "xterm" as its default term, however by default Fedora 31 does not install xterm. 

Version-Release number of selected component (if applicable): 

1.36

How reproducible:

Default configuration

Steps to Reproduce:
1. Open Geany, open preferences (Ctrl+Alt+P)
2. Default terminal application is pre-populated with expression:
xterm -e "/bin/sh %c"

Actual results:

When executing a script that opens the terminal, Geany errors due to xterm not existing. Example error message:

20:12:04: Cannot execute build command "xterm -e "/bin/sh /tmp/geany_run_script_Z5XTE0.sh"": No such file or directory. Check the Terminal setting in Preferences

Expected results:

Geany pre-selects default terminal for system, which is gnome-terminal

Additional info:

Its simple for the user to change this default preference.

Comment 1 Dominic Hopf 2020-05-18 20:51:13 UTC
Geany for example is also installed on the Fedora Xfce spin by default and there is no gnome-terminal on the Xfce spin, of course. Thus, setting gnome-terminal to the default isn't a good idea I guess. The only thing I could suggest for convenience is to add a requirement (or recommends) on xterm so installing Geany pulls in (or recommends) xterm. Does that sound like a suitable solution for you?

Comment 2 Matthew Crews 2020-05-18 21:02:21 UTC
Dominic, either-or would be fine by me.

Comment 3 Fedora Update System 2020-05-24 18:04:50 UTC
FEDORA-2020-d5af4d525e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5af4d525e

Comment 4 Fedora Update System 2020-05-24 18:04:50 UTC
FEDORA-2020-4e01a2748d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e01a2748d

Comment 5 Fedora Update System 2020-05-24 18:04:52 UTC
FEDORA-2020-e230a0de52 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e230a0de52

Comment 6 Fedora Update System 2020-05-25 03:55:41 UTC
FEDORA-2020-4e01a2748d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4e01a2748d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e01a2748d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-25 04:10:39 UTC
FEDORA-2020-d5af4d525e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d5af4d525e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5af4d525e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-25 04:17:50 UTC
FEDORA-2020-e230a0de52 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e230a0de52`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e230a0de52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-02 03:13:35 UTC
FEDORA-2020-4e01a2748d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-06-02 03:52:57 UTC
FEDORA-2020-d5af4d525e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.